%global modname moksha.wsgi

Name:           python-moksha-wsgi
Version:        1.2.4
Release:        11%{?dist}
Summary:        WSGI components for Moksha

License:        ASL 2.0
URL:            http://pypi.python.org/pypi/moksha.wsgi
Source0:        http://pypi.python.org/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

BuildRequires:  python2-nose
BuildRequires:  python2-webtest
BuildRequires:  python2-bunch

BuildRequires:  python2-moksha-common >= 1.0.6
BuildRequires:  python2-tw2-core
BuildRequires:  python2-tw2-forms
BuildRequires:  python2-tw2-jquery
BuildRequires:  python2-tw2-jqplugins-ui
BuildRequires:  python2-tw2-jqplugins-flot
BuildRequires:  python2-tw2-jqplugins-gritter
BuildRequires:  python2-tw2-jit
BuildRequires:  python2-tw2-excanvas
BuildRequires:  python2-paste
BuildRequires:  python2-paste-script
BuildRequires:  python2-pygments

# Its a whole different package now

%global _description\
WSGI components for Moksha.

%description %_description

%package -n python2-moksha-wsgi
Summary: %summary
Requires:       python2-moksha-common >= 1.0.6
Requires:       python2-tw2-core
Requires:       python2-tw2-forms
Requires:       python2-tw2-jquery
Requires:       python2-tw2-jqplugins-ui
Requires:       python2-tw2-jqplugins-flot
Requires:       python2-tw2-jqplugins-gritter
Requires:       python2-tw2-jit
Requires:       python2-tw2-excanvas
Requires:       python2-paste
Requires:       python2-paste-script
Requires:       python2-pygments
Conflicts:      moksha < 1.0.0
%{?python_provide:%python_provide python2-moksha-wsgi}

%description -n python2-moksha-wsgi %_description

%prep
%setup -q -n %{modname}-%{version}

# Nuke upstream egg-info if it exists.
rm -rf *.egg*

%build
CFLAGS="%{optflags}" %{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%check
# One of the tests is failing oddly in the rpm context but passes when run by
# hand.  This test is disabled until we can figure that out.
#%%{__python} setup.py test

%files -n python2-moksha-wsgi
%doc README AUTHORS COPYING
%{python2_sitelib}/moksha/wsgi/
%{python2_sitelib}/%{modname}-%{version}*

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jul 25 2018 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.2.4-10
- Use the py2 version of the macros

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 25 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.2.4-7
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.4-6
- Python 2 binary package renamed to python2-moksha-wsgi
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 25 2015 Ralph Bean <rbean@redhat.com> - 1.2.4-1
- new version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Nov 27 2013 Ralph Bean <rbean@redhat.com> - 1.2.2-1
- Cut out repoze for real.

* Mon Nov 11 2013 Ralph Bean <rbean@redhat.com> - 1.2.1-4
- Remove deps on repoze, shove, and feed*.

* Thu Nov 07 2013 Ralph Bean <rbean@redhat.com> - 1.2.1-3
- Requires on python-paste-script.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Ralph Bean <rbean@redhat.com> - 1.2.1-1
- Better websocket callback defaults.
- Configurable websocket scheme/protocol.

* Tue Mar 26 2013 Ralph Bean <rbean@redhat.com> - 1.2.0-1
- Latest upstream with some cleaning and reorganization.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 10 2012 Ralph Bean <rbean@redhat.com> - 1.0.6-1
- Upstream bump to simplify dependencies.

* Fri Sep 28 2012 Ralph Bean <rbean@redhat.com> - 1.0.5-1
- Upstream bump to hopefully fix issue with moksha.extensions.js.

* Wed Sep 26 2012 Ralph Bean <rbean@redhat.com> - 1.0.4-1
- Fix bug that broke tw2 resource archival.

* Wed Sep 19 2012 Ralph Bean <rbean@redhat.com> - 1.0.3-2
- Added conflicts against old moksha

* Thu Sep 13 2012 Ralph Bean <rbean@redhat.com> - 1.0.3-1
- New upstream release includes forgotten templates and static resources.

* Wed Sep 12 2012 Ralph Bean <rbean@redhat.com> - 1.0.2-2
- Removed chmod of sizzle.js.

* Wed Sep 12 2012 Ralph Bean <rbean@redhat.com> - 1.0.2-1
- Miscellaneous upstream bugfixes.
- Require latest python-moksha-common.

* Wed Sep 05 2012 Ralph Bean <rbean@redhat.com> - 1.0.0-3
- Use optflags instead of RPM_OPT_FLAGS to be consistent.

* Wed Sep 05 2012 Ralph Bean <rbean@redhat.com> - 1.0.0-2
- Added RPM_OPT_FLAGS to build section.

* Tue Sep 04 2012 Ralph Bean <rbean@redhat.com> - 1.0.0-1
- Initial package for Fedora and fork from moksha core.
